{% extends 'combio_app/base.html' %}
{% load i18n %}
{% load static %}]{% block container %}
  <div class="p-6">
    <div class="text-3xl text-mpiwg-green mb-4">Commoning Biomedicine</div>
    <hr class="bg-mpiwg-subdued-green border-0 h-px my-2" />
    <span class="font-sans">
      <p>This digital humanities project (2022–26) aims to bring together numerous oral history repositories that can already be found online in a manner that makes them more visible and accessible to historians of biomedicine. These repositories are diverse and range from large institutional archives to small and thematically focused collections.</p><br />
      <p>In order to make these rich sources useful to historians, “Commoning Biomedicine” has developed an online platform to enable scholars to search within and across repositories. This platform supports mixed-methods approaches that combine digital humanities expertise with qualitative historical research to ask new questions with oral historical sources.</p>
      <br/>
      <p>Commoning Biomedicine</i> currently makes fully searchable a total of <b>{{record_count}}</b> records from the following <b>{{collections.count}}</b> collections:</p>
    </span>

    <br />
    <div class="grid grid-cols-12 mt-8">
      <div class="col-span-12 w-full">
        <div style="position: relative;">
          <div id="main" style="height:450px;width: 100%;"></div>
        </div>
      </div>
    </div>
  </div>

  <script>
    var chartDom = document.getElementById('main')
    axios.get('/api/collections/').then((res) => {
      const chartData = res['data'].collections.map((collection) => ({
        value: collection.nr_records,
        name: collection.name
      })).sort((a, b) => b.value - a.value);
    
      var myChart = echarts.init(chartDom,null, {renderer: 'svg'})
      var option
    
      option = {
        renderer: 'canvas',
        color: [
            "#5a6eb8", // Less dark Blue
            "#92b87a", // Less dark Light Green
            "#e8b960", // Less dark Yellow
            "#e06d6d", // Less dark Red
            "#7ab6d8", // Less dark Light Blue
            "#40a77c", // Less dark Dark Green
            "#f1865b", // Less dark Orange
            "#9c6eb8", // Less dark Purple
            "#e782c9", // Less dark Pink
            "#859ac6", // Less dark Soft Blue
            "#96b75c", // Less dark Lime Green
            "#e8bf60", // Less dark Golden Yellow
            "#e0759a", // Less dark Soft Pink
            "#69aee6", // Less dark Sky Blue
            "#72b88a", // Less dark Pastel Green
            "#f19c79", // Less dark Coral
            "#ac74c6", // Less dark Lavender
            "#e8d3a9", // Less dark Pale Yellow
            // Continue to add or adjust more if needed...
        ],
        grid: {
          top: '15%'
        },
        tooltip: {
          trigger: 'item',
          width: '200px',
          formatter: function (params) {
            // params is an object containing all the data related to the point being hovered
            // You can console.log(params) to see all available data you can use
    
            // Example to format tooltip as "Collection A, 124 records"
            return params.name + ': ' + '<b>' + params.value + '</b>' + ' records'
          }
        },
    
        series: [
          {
            type: 'pie',
            radius: ['40%', '90%'],
            itemStyle: {
              borderRadius: 5,
              borderColor: '#fff',
              borderWidth: 2
            },
            data: chartData,
            emphasis: {
              itemStyle: {
                shadowBlur: 10,
                shadowOffsetX: 0,
                shadowColor: 'rgba(0, 0, 0, 0.5)'
              }
            }
          }
        ]
      }
    
      option && myChart.setOption(option)
      window.addEventListener('resize', function () {
        myChart.resize()
      })
    })
  </script>
  {% if not request.user.is_authenticated %}
  <div class="p-6 pt-0 mt-0 items-center self-center w-full text-center">
        <a class="inline-flex items-center text-white self-center shadow-md shadow-inner bg-mpiwg-green hover:bg-mpiwg-light-green hover:text-mpiwg-green focus:ring-4 focus:outline-none focus:mpiwg-green font-medium rounded text-sm px-4 py-2" href="{% url 'account_signup' %}">
          <i class="fa-solid fa-user-plus fa-sm mr-2"></i>
          Sign up
        </a>&nbsp;&nbsp;&nbsp;&nbsp;
        <a class="inline-flex items-center text-white self-center shadow-md shadow-inner bg-mpiwg-green hover:bg-mpiwg-light-green hover:text-mpiwg-green focus:ring-4 focus:outline-none focus:mpiwg-green font-medium rounded text-sm px-4 py-2" href="{% url 'account_login' %}">
          <i class="fa-solid fa-right-to-bracket fa-sm mr-2"></i>
          Login
        </a>
    </div>
  {% endif %}
{% endblock %}
